]>
Commit | Line | Data |
---|---|---|
1 | #! /bin/sh | |
2 | ||
3 | # From configure.in Id: configure.in | |
4 | # Guess values for system-dependent variables and create Makefiles. | |
5 | # Generated automatically using autoconf version 2.13 | |
6 | # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc. | |
7 | # | |
8 | # This configure script is free software; the Free Software Foundation | |
9 | # gives unlimited permission to copy, distribute and modify it. | |
10 | ||
11 | # Defaults: | |
12 | ac_help= | |
13 | ac_default_prefix=/usr/local | |
14 | # Any additions from configure.in: | |
15 | ||
16 | # Initialize some variables set by options. | |
17 | # The variables have the same names as the options, with | |
18 | # dashes changed to underlines. | |
19 | build=NONE | |
20 | cache_file=./config.cache | |
21 | exec_prefix=NONE | |
22 | host=NONE | |
23 | no_create= | |
24 | nonopt=NONE | |
25 | no_recursion= | |
26 | prefix=NONE | |
27 | program_prefix=NONE | |
28 | program_suffix=NONE | |
29 | program_transform_name=s,x,x, | |
30 | silent= | |
31 | site= | |
32 | srcdir= | |
33 | target=NONE | |
34 | verbose= | |
35 | x_includes=NONE | |
36 | x_libraries=NONE | |
37 | bindir='${exec_prefix}/bin' | |
38 | sbindir='${exec_prefix}/sbin' | |
39 | libexecdir='${exec_prefix}/libexec' | |
40 | datadir='${prefix}/share' | |
41 | sysconfdir='${prefix}/etc' | |
42 | sharedstatedir='${prefix}/com' | |
43 | localstatedir='${prefix}/var' | |
44 | libdir='${exec_prefix}/lib' | |
45 | includedir='${prefix}/include' | |
46 | oldincludedir='/usr/include' | |
47 | infodir='${prefix}/info' | |
48 | mandir='${prefix}/man' | |
49 | ||
50 | # Initialize some other variables. | |
51 | subdirs= | |
52 | MFLAGS= MAKEFLAGS= | |
53 | SHELL=${CONFIG_SHELL-/bin/sh} | |
54 | # Maximum number of lines to put in a shell here document. | |
55 | ac_max_here_lines=12 | |
56 | ||
57 | ac_prev= | |
58 | for ac_option | |
59 | do | |
60 | ||
61 | # If the previous option needs an argument, assign it. | |
62 | if test -n "$ac_prev"; then | |
63 | eval "$ac_prev=\$ac_option" | |
64 | ac_prev= | |
65 | continue | |
66 | fi | |
67 | ||
68 | case "$ac_option" in | |
69 | -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;; | |
70 | *) ac_optarg= ;; | |
71 | esac | |
72 | ||
73 | # Accept the important Cygnus configure options, so we can diagnose typos. | |
74 | ||
75 | case "$ac_option" in | |
76 | ||
77 | -bindir | --bindir | --bindi | --bind | --bin | --bi) | |
78 | ac_prev=bindir ;; | |
79 | -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*) | |
80 | bindir="$ac_optarg" ;; | |
81 | ||
82 | -build | --build | --buil | --bui | --bu) | |
83 | ac_prev=build ;; | |
84 | -build=* | --build=* | --buil=* | --bui=* | --bu=*) | |
85 | build="$ac_optarg" ;; | |
86 | ||
87 | -cache-file | --cache-file | --cache-fil | --cache-fi \ | |
88 | | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c) | |
89 | ac_prev=cache_file ;; | |
90 | -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \ | |
91 | | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*) | |
92 | cache_file="$ac_optarg" ;; | |
93 | ||
94 | -datadir | --datadir | --datadi | --datad | --data | --dat | --da) | |
95 | ac_prev=datadir ;; | |
96 | -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \ | |
97 | | --da=*) | |
98 | datadir="$ac_optarg" ;; | |
99 | ||
100 | -disable-* | --disable-*) | |
101 | ac_feature=`echo $ac_option|sed -e 's/-*disable-//'` | |
102 | # Reject names that are not valid shell variable names. | |
103 | if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then | |
104 | { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; } | |
105 | fi | |
106 | ac_feature=`echo $ac_feature| sed 's/-/_/g'` | |
107 | eval "enable_${ac_feature}=no" ;; | |
108 | ||
109 | -enable-* | --enable-*) | |
110 | ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'` | |
111 | # Reject names that are not valid shell variable names. | |
112 | if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then | |
113 | { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; } | |
114 | fi | |
115 | ac_feature=`echo $ac_feature| sed 's/-/_/g'` | |
116 | case "$ac_option" in | |
117 | *=*) ;; | |
118 | *) ac_optarg=yes ;; | |
119 | esac | |
120 | eval "enable_${ac_feature}='$ac_optarg'" ;; | |
121 | ||
122 | -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \ | |
123 | | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \ | |
124 | | --exec | --exe | --ex) | |
125 | ac_prev=exec_prefix ;; | |
126 | -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \ | |
127 | | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \ | |
128 | | --exec=* | --exe=* | --ex=*) | |
129 | exec_prefix="$ac_optarg" ;; | |
130 | ||
131 | -gas | --gas | --ga | --g) | |
132 | # Obsolete; use --with-gas. | |
133 | with_gas=yes ;; | |
134 | ||
135 | -help | --help | --hel | --he) | |
136 | # Omit some internal or obsolete options to make the list less imposing. | |
137 | # This message is too long to be a string in the A/UX 3.1 sh. | |
138 | cat << EOF | |
139 | Usage: configure [options] [host] | |
140 | Options: [defaults in brackets after descriptions] | |
141 | Configuration: | |
142 | --cache-file=FILE cache test results in FILE | |
143 | --help print this message | |
144 | --no-create do not create output files | |
145 | --quiet, --silent do not print \`checking...' messages | |
146 | --version print the version of autoconf that created configure | |
147 | Directory and file names: | |
148 | --prefix=PREFIX install architecture-independent files in PREFIX | |
149 | [$ac_default_prefix] | |
150 | --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX | |
151 | [same as prefix] | |
152 | --bindir=DIR user executables in DIR [EPREFIX/bin] | |
153 | --sbindir=DIR system admin executables in DIR [EPREFIX/sbin] | |
154 | --libexecdir=DIR program executables in DIR [EPREFIX/libexec] | |
155 | --datadir=DIR read-only architecture-independent data in DIR | |
156 | [PREFIX/share] | |
157 | --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc] | |
158 | --sharedstatedir=DIR modifiable architecture-independent data in DIR | |
159 | [PREFIX/com] | |
160 | --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var] | |
161 | --libdir=DIR object code libraries in DIR [EPREFIX/lib] | |
162 | --includedir=DIR C header files in DIR [PREFIX/include] | |
163 | --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include] | |
164 | --infodir=DIR info documentation in DIR [PREFIX/info] | |
165 | --mandir=DIR man documentation in DIR [PREFIX/man] | |
166 | --srcdir=DIR find the sources in DIR [configure dir or ..] | |
167 | --program-prefix=PREFIX prepend PREFIX to installed program names | |
168 | --program-suffix=SUFFIX append SUFFIX to installed program names | |
169 | --program-transform-name=PROGRAM | |
170 | run sed PROGRAM on installed program names | |
171 | EOF | |
172 | cat << EOF | |
173 | Host type: | |
174 | --build=BUILD configure for building on BUILD [BUILD=HOST] | |
175 | --host=HOST configure for HOST [guessed] | |
176 | --target=TARGET configure for TARGET [TARGET=HOST] | |
177 | Features and packages: | |
178 | --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) | |
179 | --enable-FEATURE[=ARG] include FEATURE [ARG=yes] | |
180 | --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] | |
181 | --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) | |
182 | --x-includes=DIR X include files are in DIR | |
183 | --x-libraries=DIR X library files are in DIR | |
184 | EOF | |
185 | if test -n "$ac_help"; then | |
186 | echo "--enable and --with options recognized:$ac_help" | |
187 | fi | |
188 | exit 0 ;; | |
189 | ||
190 | -host | --host | --hos | --ho) | |
191 | ac_prev=host ;; | |
192 | -host=* | --host=* | --hos=* | --ho=*) | |
193 | host="$ac_optarg" ;; | |
194 | ||
195 | -includedir | --includedir | --includedi | --included | --include \ | |
196 | | --includ | --inclu | --incl | --inc) | |
197 | ac_prev=includedir ;; | |
198 | -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \ | |
199 | | --includ=* | --inclu=* | --incl=* | --inc=*) | |
200 | includedir="$ac_optarg" ;; | |
201 | ||
202 | -infodir | --infodir | --infodi | --infod | --info | --inf) | |
203 | ac_prev=infodir ;; | |
204 | -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*) | |
205 | infodir="$ac_optarg" ;; | |
206 | ||
207 | -libdir | --libdir | --libdi | --libd) | |
208 | ac_prev=libdir ;; | |
209 | -libdir=* | --libdir=* | --libdi=* | --libd=*) | |
210 | libdir="$ac_optarg" ;; | |
211 | ||
212 | -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \ | |
213 | | --libexe | --libex | --libe) | |
214 | ac_prev=libexecdir ;; | |
215 | -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \ | |
216 | | --libexe=* | --libex=* | --libe=*) | |
217 | libexecdir="$ac_optarg" ;; | |
218 | ||
219 | -localstatedir | --localstatedir | --localstatedi | --localstated \ | |
220 | | --localstate | --localstat | --localsta | --localst \ | |
221 | | --locals | --local | --loca | --loc | --lo) | |
222 | ac_prev=localstatedir ;; | |
223 | -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \ | |
224 | | --localstate=* | --localstat=* | --localsta=* | --localst=* \ | |
225 | | --locals=* | --local=* | --loca=* | --loc=* | --lo=*) | |
226 | localstatedir="$ac_optarg" ;; | |
227 | ||
228 | -mandir | --mandir | --mandi | --mand | --man | --ma | --m) | |
229 | ac_prev=mandir ;; | |
230 | -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*) | |
231 | mandir="$ac_optarg" ;; | |
232 | ||
233 | -nfp | --nfp | --nf) | |
234 | # Obsolete; use --without-fp. | |
235 | with_fp=no ;; | |
236 | ||
237 | -no-create | --no-create | --no-creat | --no-crea | --no-cre \ | |
238 | | --no-cr | --no-c) | |
239 | no_create=yes ;; | |
240 | ||
241 | -no-recursion | --no-recursion | --no-recursio | --no-recursi \ | |
242 | | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) | |
243 | no_recursion=yes ;; | |
244 | ||
245 | -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \ | |
246 | | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \ | |
247 | | --oldin | --oldi | --old | --ol | --o) | |
248 | ac_prev=oldincludedir ;; | |
249 | -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \ | |
250 | | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \ | |
251 | | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*) | |
252 | oldincludedir="$ac_optarg" ;; | |
253 | ||
254 | -prefix | --prefix | --prefi | --pref | --pre | --pr | --p) | |
255 | ac_prev=prefix ;; | |
256 | -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*) | |
257 | prefix="$ac_optarg" ;; | |
258 | ||
259 | -program-prefix | --program-prefix | --program-prefi | --program-pref \ | |
260 | | --program-pre | --program-pr | --program-p) | |
261 | ac_prev=program_prefix ;; | |
262 | -program-prefix=* | --program-prefix=* | --program-prefi=* \ | |
263 | | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*) | |
264 | program_prefix="$ac_optarg" ;; | |
265 | ||
266 | -program-suffix | --program-suffix | --program-suffi | --program-suff \ | |
267 | | --program-suf | --program-su | --program-s) | |
268 | ac_prev=program_suffix ;; | |
269 | -program-suffix=* | --program-suffix=* | --program-suffi=* \ | |
270 | | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*) | |
271 | program_suffix="$ac_optarg" ;; | |
272 | ||
273 | -program-transform-name | --program-transform-name \ | |
274 | | --program-transform-nam | --program-transform-na \ | |
275 | | --program-transform-n | --program-transform- \ | |
276 | | --program-transform | --program-transfor \ | |
277 | | --program-transfo | --program-transf \ | |
278 | | --program-trans | --program-tran \ | |
279 | | --progr-tra | --program-tr | --program-t) | |
280 | ac_prev=program_transform_name ;; | |
281 | -program-transform-name=* | --program-transform-name=* \ | |
282 | | --program-transform-nam=* | --program-transform-na=* \ | |
283 | | --program-transform-n=* | --program-transform-=* \ | |
284 | | --program-transform=* | --program-transfor=* \ | |
285 | | --program-transfo=* | --program-transf=* \ | |
286 | | --program-trans=* | --program-tran=* \ | |
287 | | --progr-tra=* | --program-tr=* | --program-t=*) | |
288 | program_transform_name="$ac_optarg" ;; | |
289 | ||
290 | -q | -quiet | --quiet | --quie | --qui | --qu | --q \ | |
291 | | -silent | --silent | --silen | --sile | --sil) | |
292 | silent=yes ;; | |
293 | ||
294 | -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb) | |
295 | ac_prev=sbindir ;; | |
296 | -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \ | |
297 | | --sbi=* | --sb=*) | |
298 | sbindir="$ac_optarg" ;; | |
299 | ||
300 | -sharedstatedir | --sharedstatedir | --sharedstatedi \ | |
301 | | --sharedstated | --sharedstate | --sharedstat | --sharedsta \ | |
302 | | --sharedst | --shareds | --shared | --share | --shar \ | |
303 | | --sha | --sh) | |
304 | ac_prev=sharedstatedir ;; | |
305 | -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \ | |
306 | | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \ | |
307 | | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \ | |
308 | | --sha=* | --sh=*) | |
309 | sharedstatedir="$ac_optarg" ;; | |
310 | ||
311 | -site | --site | --sit) | |
312 | ac_prev=site ;; | |
313 | -site=* | --site=* | --sit=*) | |
314 | site="$ac_optarg" ;; | |
315 | ||
316 | -srcdir | --srcdir | --srcdi | --srcd | --src | --sr) | |
317 | ac_prev=srcdir ;; | |
318 | -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*) | |
319 | srcdir="$ac_optarg" ;; | |
320 | ||
321 | -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \ | |
322 | | --syscon | --sysco | --sysc | --sys | --sy) | |
323 | ac_prev=sysconfdir ;; | |
324 | -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \ | |
325 | | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*) | |
326 | sysconfdir="$ac_optarg" ;; | |
327 | ||
328 | -target | --target | --targe | --targ | --tar | --ta | --t) | |
329 | ac_prev=target ;; | |
330 | -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*) | |
331 | target="$ac_optarg" ;; | |
332 | ||
333 | -v | -verbose | --verbose | --verbos | --verbo | --verb) | |
334 | verbose=yes ;; | |
335 | ||
336 | -version | --version | --versio | --versi | --vers) | |
337 | echo "configure generated by autoconf version 2.13" | |
338 | exit 0 ;; | |
339 | ||
340 | -with-* | --with-*) | |
341 | ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'` | |
342 | # Reject names that are not valid shell variable names. | |
343 | if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then | |
344 | { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; } | |
345 | fi | |
346 | ac_package=`echo $ac_package| sed 's/-/_/g'` | |
347 | case "$ac_option" in | |
348 | *=*) ;; | |
349 | *) ac_optarg=yes ;; | |
350 | esac | |
351 | eval "with_${ac_package}='$ac_optarg'" ;; | |
352 | ||
353 | -without-* | --without-*) | |
354 | ac_package=`echo $ac_option|sed -e 's/-*without-//'` | |
355 | # Reject names that are not valid shell variable names. | |
356 | if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then | |
357 | { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; } | |
358 | fi | |
359 | ac_package=`echo $ac_package| sed 's/-/_/g'` | |
360 | eval "with_${ac_package}=no" ;; | |
361 | ||
362 | --x) | |
363 | # Obsolete; use --with-x. | |
364 | with_x=yes ;; | |
365 | ||
366 | -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \ | |
367 | | --x-incl | --x-inc | --x-in | --x-i) | |
368 | ac_prev=x_includes ;; | |
369 | -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \ | |
370 | | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*) | |
371 | x_includes="$ac_optarg" ;; | |
372 | ||
373 | -x-libraries | --x-libraries | --x-librarie | --x-librari \ | |
374 | | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l) | |
375 | ac_prev=x_libraries ;; | |
376 | -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \ | |
377 | | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*) | |
378 | x_libraries="$ac_optarg" ;; | |
379 | ||
380 | -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; } | |
381 | ;; | |
382 | ||
383 | *) | |
384 | if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then | |
385 | echo "configure: warning: $ac_option: invalid host type" 1>&2 | |
386 | fi | |
387 | if test "x$nonopt" != xNONE; then | |
388 | { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; } | |
389 | fi | |
390 | nonopt="$ac_option" | |
391 | ;; | |
392 | ||
393 | esac | |
394 | done | |
395 | ||
396 | if test -n "$ac_prev"; then | |
397 | { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; } | |
398 | fi | |
399 | ||
400 | trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15 | |
401 | ||
402 | # File descriptor usage: | |
403 | # 0 standard input | |
404 | # 1 file creation | |
405 | # 2 errors and warnings | |
406 | # 3 some systems may open it to /dev/tty | |
407 | # 4 used on the Kubota Titan | |
408 | # 6 checking for... messages and results | |
409 | # 5 compiler messages saved in config.log | |
410 | if test "$silent" = yes; then | |
411 | exec 6>/dev/null | |
412 | else | |
413 | exec 6>&1 | |
414 | fi | |
415 | exec 5>./config.log | |
416 | ||
417 | echo "\ | |
418 | This file contains any messages produced by compilers while | |
419 | running configure, to aid debugging if configure makes a mistake. | |
420 | " 1>&5 | |
421 | ||
422 | # Strip out --no-create and --no-recursion so they do not pile up. | |
423 | # Also quote any args containing shell metacharacters. | |
424 | ac_configure_args= | |
425 | for ac_arg | |
426 | do | |
427 | case "$ac_arg" in | |
428 | -no-create | --no-create | --no-creat | --no-crea | --no-cre \ | |
429 | | --no-cr | --no-c) ;; | |
430 | -no-recursion | --no-recursion | --no-recursio | --no-recursi \ | |
431 | | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;; | |
432 | *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*) | |
433 | ac_configure_args="$ac_configure_args '$ac_arg'" ;; | |
434 | *) ac_configure_args="$ac_configure_args $ac_arg" ;; | |
435 | esac | |
436 | done | |
437 | ||
438 | # NLS nuisances. | |
439 | # Only set these to C if already set. These must not be set unconditionally | |
440 | # because not all systems understand e.g. LANG=C (notably SCO). | |
441 | # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'! | |
442 | # Non-C LC_CTYPE values break the ctype check. | |
443 | if test "${LANG+set}" = set; then LANG=C; export LANG; fi | |
444 | if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi | |
445 | if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi | |
446 | if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi | |
447 | ||
448 | # confdefs.h avoids OS command line length limits that DEFS can exceed. | |
449 | rm -rf conftest* confdefs.h | |
450 | # AIX cpp loses on an empty file, so make sure it contains at least a newline. | |
451 | echo > confdefs.h | |
452 | ||
453 | # A filename unique to this package, relative to the directory that | |
454 | # configure is in, which we can look for to find out if srcdir is correct. | |
455 | ac_unique_file=Makefile.in | |
456 | ||
457 | # Find the source files, if location was not specified. | |
458 | if test -z "$srcdir"; then | |
459 | ac_srcdir_defaulted=yes | |
460 | # Try the directory containing this script, then its parent. | |
461 | ac_prog=$0 | |
462 | ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'` | |
463 | test "x$ac_confdir" = "x$ac_prog" && ac_confdir=. | |
464 | srcdir=$ac_confdir | |
465 | if test ! -r $srcdir/$ac_unique_file; then | |
466 | srcdir=.. | |
467 | fi | |
468 | else | |
469 | ac_srcdir_defaulted=no | |
470 | fi | |
471 | if test ! -r $srcdir/$ac_unique_file; then | |
472 | if test "$ac_srcdir_defaulted" = yes; then | |
473 | { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; } | |
474 | else | |
475 | { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; } | |
476 | fi | |
477 | fi | |
478 | srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'` | |
479 | ||
480 | # Prefer explicitly selected file to automatically selected ones. | |
481 | if test -z "$CONFIG_SITE"; then | |
482 | if test "x$prefix" != xNONE; then | |
483 | CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site" | |
484 | else | |
485 | CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site" | |
486 | fi | |
487 | fi | |
488 | for ac_site_file in $CONFIG_SITE; do | |
489 | if test -r "$ac_site_file"; then | |
490 | echo "loading site script $ac_site_file" | |
491 | . "$ac_site_file" | |
492 | fi | |
493 | done | |
494 | ||
495 | if test -r "$cache_file"; then | |
496 | echo "loading cache $cache_file" | |
497 | . $cache_file | |
498 | else | |
499 | echo "creating cache $cache_file" | |
500 | > $cache_file | |
501 | fi | |
502 | ||
503 | ac_ext=c | |
504 | # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options. | |
505 | ac_cpp='$CPP $CPPFLAGS' | |
506 | ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5' | |
507 | ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5' | |
508 | cross_compiling=$ac_cv_prog_cc_cross | |
509 | ||
510 | ac_exeext= | |
511 | ac_objext=o | |
512 | if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then | |
513 | # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu. | |
514 | if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then | |
515 | ac_n= ac_c=' | |
516 | ' ac_t=' ' | |
517 | else | |
518 | ac_n=-n ac_c= ac_t= | |
519 | fi | |
520 | else | |
521 | ac_n= ac_c='\c' ac_t= | |
522 | fi | |
523 | ||
524 | ||
525 | ||
526 | SAMPLES_SUBDIRS=$wx_cv_path_samplesubdirs | |
527 | ||
528 | ||
529 | PATH_IFS=$wx_cv_path_ifs | |
530 | PROGRAM_EXT=$wx_cv_program_ext | |
531 | WX_TARGET_LIBRARY=$wx_cv_target_library | |
532 | ||
533 | ||
534 | ||
535 | ||
536 | ||
537 | trap '' 1 2 15 | |
538 | cat > confcache <<\EOF | |
539 | # This file is a shell script that caches the results of configure | |
540 | # tests run on this system so they can be shared between configure | |
541 | # scripts and configure runs. It is not useful on other systems. | |
542 | # If it contains results you don't want to keep, you may remove or edit it. | |
543 | # | |
544 | # By default, configure uses ./config.cache as the cache file, | |
545 | # creating it if it does not exist already. You can give configure | |
546 | # the --cache-file=FILE option to use a different cache file; that is | |
547 | # what configure does when it calls configure scripts in | |
548 | # subdirectories, so they share the cache. | |
549 | # Giving --cache-file=/dev/null disables caching, for debugging configure. | |
550 | # config.status only pays attention to the cache file if you give it the | |
551 | # --recheck option to rerun configure. | |
552 | # | |
553 | EOF | |
554 | # The following way of writing the cache mishandles newlines in values, | |
555 | # but we know of no workaround that is simple, portable, and efficient. | |
556 | # So, don't put newlines in cache variables' values. | |
557 | # Ultrix sh set writes to stderr and can't be redirected directly, | |
558 | # and sets the high bit in the cache file unless we assign to the vars. | |
559 | (set) 2>&1 | | |
560 | case `(ac_space=' '; set | grep ac_space) 2>&1` in | |
561 | *ac_space=\ *) | |
562 | # `set' does not quote correctly, so add quotes (double-quote substitution | |
563 | # turns \\\\ into \\, and sed turns \\ into \). | |
564 | sed -n \ | |
565 | -e "s/'/'\\\\''/g" \ | |
566 | -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p" | |
567 | ;; | |
568 | *) | |
569 | # `set' quotes correctly as required by POSIX, so do not add quotes. | |
570 | sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p' | |
571 | ;; | |
572 | esac >> confcache | |
573 | if cmp -s $cache_file confcache; then | |
574 | : | |
575 | else | |
576 | if test -w $cache_file; then | |
577 | echo "updating cache $cache_file" | |
578 | cat confcache > $cache_file | |
579 | else | |
580 | echo "not updating unwritable cache $cache_file" | |
581 | fi | |
582 | fi | |
583 | rm -f confcache | |
584 | ||
585 | trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15 | |
586 | ||
587 | test "x$prefix" = xNONE && prefix=$ac_default_prefix | |
588 | # Let make expand exec_prefix. | |
589 | test "x$exec_prefix" = xNONE && exec_prefix='${prefix}' | |
590 | ||
591 | # Any assignment to VPATH causes Sun make to only execute | |
592 | # the first set of double-colon rules, so remove it if not needed. | |
593 | # If there is a colon in the path, we need to keep it. | |
594 | if test "x$srcdir" = x.; then | |
595 | ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d' | |
596 | fi | |
597 | ||
598 | trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15 | |
599 | ||
600 | # Transform confdefs.h into DEFS. | |
601 | # Protect against shell expansion while executing Makefile rules. | |
602 | # Protect against Makefile macro expansion. | |
603 | cat > conftest.defs <<\EOF | |
604 | s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g | |
605 | s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g | |
606 | s%\[%\\&%g | |
607 | s%\]%\\&%g | |
608 | s%\$%$$%g | |
609 | EOF | |
610 | DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '` | |
611 | rm -f conftest.defs | |
612 | ||
613 | ||
614 | # Without the "./", some shells look in PATH for config.status. | |
615 | : ${CONFIG_STATUS=./config.status} | |
616 | ||
617 | echo creating $CONFIG_STATUS | |
618 | rm -f $CONFIG_STATUS | |
619 | cat > $CONFIG_STATUS <<EOF | |
620 | #! /bin/sh | |
621 | # Generated automatically by configure. | |
622 | # Run this file to recreate the current configuration. | |
623 | # This directory was configured as follows, | |
624 | # on host `(hostname || uname -n) 2>/dev/null | sed 1q`: | |
625 | # | |
626 | # $0 $ac_configure_args | |
627 | # | |
628 | # Compiler output produced by configure, useful for debugging | |
629 | # configure, is in ./config.log if it exists. | |
630 | ||
631 | ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]" | |
632 | for ac_option | |
633 | do | |
634 | case "\$ac_option" in | |
635 | -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r) | |
636 | echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion" | |
637 | exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;; | |
638 | -version | --version | --versio | --versi | --vers | --ver | --ve | --v) | |
639 | echo "$CONFIG_STATUS generated by autoconf version 2.13" | |
640 | exit 0 ;; | |
641 | -help | --help | --hel | --he | --h) | |
642 | echo "\$ac_cs_usage"; exit 0 ;; | |
643 | *) echo "\$ac_cs_usage"; exit 1 ;; | |
644 | esac | |
645 | done | |
646 | ||
647 | ac_given_srcdir=$srcdir | |
648 | ||
649 | trap 'rm -fr `echo " | |
650 | Makefile | |
651 | caret/Makefile | |
652 | calendar/Makefile | |
653 | checklst/Makefile | |
654 | config/Makefile | |
655 | controls/Makefile | |
656 | console/Makefile | |
657 | db/Makefile | |
658 | dialogs/Makefile | |
659 | dialup/Makefile | |
660 | docview/Makefile | |
661 | docvwmdi/Makefile | |
662 | dnd/Makefile | |
663 | dragimag/Makefile | |
664 | drawing/Makefile | |
665 | dynamic/Makefile | |
666 | erase/Makefile | |
667 | event/Makefile | |
668 | exec/Makefile | |
669 | font/Makefile | |
670 | grid/Makefile | |
671 | help/Makefile | |
672 | image/Makefile | |
673 | internat/Makefile | |
674 | ipc/Makefile | |
675 | joytest/Makefile | |
676 | layout/Makefile | |
677 | listctrl/Makefile | |
678 | mdi/Makefile | |
679 | menu/Makefile | |
680 | memcheck/Makefile | |
681 | minifram/Makefile | |
682 | minimal/Makefile | |
683 | newgrid/Makefile | |
684 | notebook/Makefile | |
685 | png/Makefile | |
686 | printing/Makefile | |
687 | proplist/Makefile | |
688 | propsize/Makefile | |
689 | richedit/Makefile | |
690 | resource/Makefile | |
691 | rotate/Makefile | |
692 | sashtest/Makefile | |
693 | scroll/Makefile | |
694 | scrollsub/Makefile | |
695 | splitter/Makefile | |
696 | statbar/Makefile | |
697 | text/Makefile | |
698 | thread/Makefile | |
699 | toolbar/Makefile | |
700 | treectrl/Makefile | |
701 | treelay/Makefile | |
702 | typetest/Makefile | |
703 | validate/Makefile | |
704 | sockets/Makefile | |
705 | wizard/Makefile | |
706 | html/Makefile | |
707 | html/about/Makefile | |
708 | html/help/Makefile | |
709 | html/printing/Makefile | |
710 | html/helpview/Makefile | |
711 | html/test/Makefile | |
712 | html/zip/Makefile | |
713 | html/virtual/Makefile | |
714 | html/widget/Makefile | |
715 | opengl/Makefile | |
716 | opengl/cube/Makefile | |
717 | opengl/penguin/Makefile | |
718 | opengl/isosurf/Makefile | |
719 | " | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15 | |
720 | EOF | |
721 | cat >> $CONFIG_STATUS <<EOF | |
722 | ||
723 | # Protect against being on the right side of a sed subst in config.status. | |
724 | sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g; | |
725 | s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF | |
726 | $ac_vpsub | |
727 | $extrasub | |
728 | s%@SHELL@%$SHELL%g | |
729 | s%@CFLAGS@%$CFLAGS%g | |
730 | s%@CPPFLAGS@%$CPPFLAGS%g | |
731 | s%@CXXFLAGS@%$CXXFLAGS%g | |
732 | s%@FFLAGS@%$FFLAGS%g | |
733 | s%@DEFS@%$DEFS%g | |
734 | s%@LDFLAGS@%$LDFLAGS%g | |
735 | s%@LIBS@%$LIBS%g | |
736 | s%@exec_prefix@%$exec_prefix%g | |
737 | s%@prefix@%$prefix%g | |
738 | s%@program_transform_name@%$program_transform_name%g | |
739 | s%@bindir@%$bindir%g | |
740 | s%@sbindir@%$sbindir%g | |
741 | s%@libexecdir@%$libexecdir%g | |
742 | s%@datadir@%$datadir%g | |
743 | s%@sysconfdir@%$sysconfdir%g | |
744 | s%@sharedstatedir@%$sharedstatedir%g | |
745 | s%@localstatedir@%$localstatedir%g | |
746 | s%@libdir@%$libdir%g | |
747 | s%@includedir@%$includedir%g | |
748 | s%@oldincludedir@%$oldincludedir%g | |
749 | s%@infodir@%$infodir%g | |
750 | s%@mandir@%$mandir%g | |
751 | s%@SAMPLES_SUBDIRS@%$SAMPLES_SUBDIRS%g | |
752 | s%@PATH_IFS@%$PATH_IFS%g | |
753 | s%@PROGRAM_EXT@%$PROGRAM_EXT%g | |
754 | s%@WX_TARGET_LIBRARY@%$WX_TARGET_LIBRARY%g | |
755 | ||
756 | CEOF | |
757 | EOF | |
758 | ||
759 | cat >> $CONFIG_STATUS <<\EOF | |
760 | ||
761 | # Split the substitutions into bite-sized pieces for seds with | |
762 | # small command number limits, like on Digital OSF/1 and HP-UX. | |
763 | ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script. | |
764 | ac_file=1 # Number of current file. | |
765 | ac_beg=1 # First line for current file. | |
766 | ac_end=$ac_max_sed_cmds # Line after last line for current file. | |
767 | ac_more_lines=: | |
768 | ac_sed_cmds="" | |
769 | while $ac_more_lines; do | |
770 | if test $ac_beg -gt 1; then | |
771 | sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file | |
772 | else | |
773 | sed "${ac_end}q" conftest.subs > conftest.s$ac_file | |
774 | fi | |
775 | if test ! -s conftest.s$ac_file; then | |
776 | ac_more_lines=false | |
777 | rm -f conftest.s$ac_file | |
778 | else | |
779 | if test -z "$ac_sed_cmds"; then | |
780 | ac_sed_cmds="sed -f conftest.s$ac_file" | |
781 | else | |
782 | ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file" | |
783 | fi | |
784 | ac_file=`expr $ac_file + 1` | |
785 | ac_beg=$ac_end | |
786 | ac_end=`expr $ac_end + $ac_max_sed_cmds` | |
787 | fi | |
788 | done | |
789 | if test -z "$ac_sed_cmds"; then | |
790 | ac_sed_cmds=cat | |
791 | fi | |
792 | EOF | |
793 | ||
794 | cat >> $CONFIG_STATUS <<EOF | |
795 | ||
796 | CONFIG_FILES=\${CONFIG_FILES-"Makefile | |
797 | caret/Makefile | |
798 | calendar/Makefile | |
799 | checklst/Makefile | |
800 | config/Makefile | |
801 | controls/Makefile | |
802 | console/Makefile | |
803 | db/Makefile | |
804 | dialogs/Makefile | |
805 | dialup/Makefile | |
806 | docview/Makefile | |
807 | docvwmdi/Makefile | |
808 | dnd/Makefile | |
809 | dragimag/Makefile | |
810 | drawing/Makefile | |
811 | dynamic/Makefile | |
812 | erase/Makefile | |
813 | event/Makefile | |
814 | exec/Makefile | |
815 | font/Makefile | |
816 | grid/Makefile | |
817 | help/Makefile | |
818 | image/Makefile | |
819 | internat/Makefile | |
820 | ipc/Makefile | |
821 | joytest/Makefile | |
822 | layout/Makefile | |
823 | listctrl/Makefile | |
824 | mdi/Makefile | |
825 | menu/Makefile | |
826 | memcheck/Makefile | |
827 | minifram/Makefile | |
828 | minimal/Makefile | |
829 | newgrid/Makefile | |
830 | notebook/Makefile | |
831 | png/Makefile | |
832 | printing/Makefile | |
833 | proplist/Makefile | |
834 | propsize/Makefile | |
835 | richedit/Makefile | |
836 | resource/Makefile | |
837 | rotate/Makefile | |
838 | sashtest/Makefile | |
839 | scroll/Makefile | |
840 | scrollsub/Makefile | |
841 | splitter/Makefile | |
842 | statbar/Makefile | |
843 | text/Makefile | |
844 | thread/Makefile | |
845 | toolbar/Makefile | |
846 | treectrl/Makefile | |
847 | treelay/Makefile | |
848 | typetest/Makefile | |
849 | validate/Makefile | |
850 | sockets/Makefile | |
851 | wizard/Makefile | |
852 | html/Makefile | |
853 | html/about/Makefile | |
854 | html/help/Makefile | |
855 | html/printing/Makefile | |
856 | html/helpview/Makefile | |
857 | html/test/Makefile | |
858 | html/zip/Makefile | |
859 | html/virtual/Makefile | |
860 | html/widget/Makefile | |
861 | opengl/Makefile | |
862 | opengl/cube/Makefile | |
863 | opengl/penguin/Makefile | |
864 | opengl/isosurf/Makefile | |
865 | "} | |
866 | EOF | |
867 | cat >> $CONFIG_STATUS <<\EOF | |
868 | for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then | |
869 | # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in". | |
870 | case "$ac_file" in | |
871 | *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'` | |
872 | ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;; | |
873 | *) ac_file_in="${ac_file}.in" ;; | |
874 | esac | |
875 | ||
876 | # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories. | |
877 | ||
878 | # Remove last slash and all that follows it. Not all systems have dirname. | |
879 | ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'` | |
880 | if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then | |
881 | # The file is in a subdirectory. | |
882 | test ! -d "$ac_dir" && mkdir "$ac_dir" | |
883 | ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`" | |
884 | # A "../" for each directory in $ac_dir_suffix. | |
885 | ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'` | |
886 | else | |
887 | ac_dir_suffix= ac_dots= | |
888 | fi | |
889 | ||
890 | case "$ac_given_srcdir" in | |
891 | .) srcdir=. | |
892 | if test -z "$ac_dots"; then top_srcdir=. | |
893 | else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;; | |
894 | /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;; | |
895 | *) # Relative path. | |
896 | srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix" | |
897 | top_srcdir="$ac_dots$ac_given_srcdir" ;; | |
898 | esac | |
899 | ||
900 | ||
901 | echo creating "$ac_file" | |
902 | rm -f "$ac_file" | |
903 | configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure." | |
904 | case "$ac_file" in | |
905 | *Makefile*) ac_comsub="1i\\ | |
906 | # $configure_input" ;; | |
907 | *) ac_comsub= ;; | |
908 | esac | |
909 | ||
910 | ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"` | |
911 | sed -e "$ac_comsub | |
912 | s%@configure_input@%$configure_input%g | |
913 | s%@srcdir@%$srcdir%g | |
914 | s%@top_srcdir@%$top_srcdir%g | |
915 | " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file | |
916 | fi; done | |
917 | rm -f conftest.s* | |
918 | ||
919 | EOF | |
920 | cat >> $CONFIG_STATUS <<EOF | |
921 | ||
922 | EOF | |
923 | cat >> $CONFIG_STATUS <<\EOF | |
924 | ||
925 | exit 0 | |
926 | EOF | |
927 | chmod +x $CONFIG_STATUS | |
928 | rm -fr confdefs* $ac_clean_files | |
929 | test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1 | |
930 |